Get Column Tests

Prev Next
Get
/api/v1/Catalog/data-sources/{dataSourceId}/schemas/{schemaId}/tables/{tableId}/columns/{columnId}/tests

Returns a list of tests for a specified column

Path parameters
dataSourceId
integer (int32) Required

Data source Id of the specified column

schemaId
integer (int32) Required

Schema Id of the specified column

tableId
integer (int32) Required

Table Id of the specified column

columnId
integer (int32) Required

Id of the specified column

Query parameters
projectId
integer (int32)

Optionally filter tests by a project

folderId
integer (int32)

Optionally filter tests by a folder

Responses
200

OK

Expand All
object
projects
Array of object (Configuration.Api.Models.v1.TestSummaryProject)
object
id
integer (int32)
name
string | null
folders
Array of object (Configuration.Api.Models.v1.TestSummaryFolder)
object
id
integer (int32)
name
string | null
path
string | null
tests
Array of object (Configuration.Api.Models.v1.TestSummary)
object
id
integer (int32)
name
string | null
url
string | null
links
Array of object (Configuration.Api.Models.v1.TestSummaryLink)
object
name
string | null
url
string | null
jobCount
integer (int32)
lastResult
object (Configuration.Api.Models.v1.TestSummaryLastResult)
date
string (date-time) | null
status
string | null
url
string | null
403

Forbidden